<?php
class AuthenticationManager extends ManagerParent { 
public $x_232 = ''; 
protected $x_233 = array( 
'get' => array( 
'config' => 'out', 
), 
'set' => array( 
'result' => 'out', 
'config' => 'array', 
), 
'getJoinStatus' => array( 
'result' => 'out', 
'status' => 'out', 
), 
'join' => array( 
'result' => 'out', 
'domainName' => 'string', 
'credentials' => 'array', 
'server' => 'string' 
), 
'leave' => array( 
'result' => 'out', 
'credentials' => 'array' 
), 
'isJoinServerNeeded' => array( 
'needServer' => 'out', 
'domainName' => 'string' 
) 
); 
public function get(& $x_234) { 
$x_235 = kerio('webadmin::AuthenticationManager'); 
if ($x_235) { 
return $x_235->get(& $x_234); 
} 
return false; 
} 
public function set(&$x_232, $x_234) { 
$x_235 = kerio('webadmin::AuthenticationManager'); 
if ($x_235) { 
return $x_235->set(&$x_232, $x_234); 
} 
return -1; 
} 
public function isJoinServerNeeded(&$x_236, $x_237) { 
$x_235 = kerio('webadmin::AuthenticationManager'); 
if ($x_235) { 
return $x_235->isJoinServerNeeded(&$x_236, $x_237); 
} 
return false; 
} 
public function getJoinStatus(&$x_232, &$x_238) { 
$x_235 = kerio('webadmin::AuthenticationManager'); 
if ($x_235) { 
return $x_235->getJoinStatus(&$x_232, &$x_238); 
} 
return false; 
} 
public function join(&$x_232, $x_237, $x_239, $x_23a) { 
$x_235 = kerio('webadmin::AuthenticationManager'); 
if ($x_235) { 
return $x_235->join(&$x_232, $x_237, $x_239, $x_23a); 
} 
return false; 
} 
public function leave(&$x_232, $x_239) { 
$x_235 = kerio('webadmin::AuthenticationManager'); 
if ($x_235) { 
return $x_235->leave(&$x_232, $x_239); 
} 
return false; 
} 
}; 
?>
